Page MenuHomePhabricator

Instrument MobileFrontend to use version 13457736 of the Edit schema instead of the MobileWebEditing schema
Closed, ResolvedPublic40 Story Points

Description

Should log to version 13457736 of the Edit schema, unless we need to make other schema changes beforehand.

Crosswalk from MobileWebEditing to Edit values

  • editoreditor
  • tokeneditingSessionId
  • actionaction
    • Start tracking init events
    • attemptready
    • savesaveIntent
    • submitsaveAttempt
    • successsaveSuccess
    • cancelabort
    • errorsaveFailure
    • switchabort.switchnochange
      • MF does not allow you to switch if you've made changes.
  • revIdpage.revid
  • pageIdpage.id
  • namespacepage.ns
  • userEditCountuser.editCount
  • errortextaction.saveFailure.message

Things to start logging

  • action.init.type
  • action.init.mechanism
  • action.init.timing
  • action.ready.timing
  • action.saveIntent.timing
  • action.saveAttempt.timing
  • action.saveSuccess.timing
  • action.saveFailure.type
  • action.saveFailure.timing
  • action.abort.type
  • action.abort.mechanism
  • action.abort.timing
  • mediawiki.version
  • integration
  • page.title
  • user.id
  • user.class
  • platform:
    • For now, we will make the false assumption that anyone using the mobile interface has platform phone.

Things to stop logging

  • username
  • isTestA
  • mobileMode
  • section
  • funnel

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterLog VE saveIntent/saveAttempt
mediawiki/extensions/VisualEditor : masterHack to stop logging edit events for non-desktop targets
mediawiki/extensions/MobileFrontend : masterRevert "Revert "Migrate from SchemaMobileWebEditing to SchemaEdit""
mediawiki/extensions/MobileFrontend : masterMigrate from SchemaMobileWebEditing to SchemaEdit
mediawiki/extensions/MobileFrontend : wmf/1.26wmf21Fix EventLogging schema dependencies
mediawiki/extensions/MobileFrontend : masterFix EventLogging schema dependencies

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Jdforrester-WMF raised the priority of this task from to High.Aug 26 2015, 1:55 AM
Jdforrester-WMF updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 26 2015, 1:55 AM
Neil_P._Quinn_WMF set Security to None.
Neil_P._Quinn_WMF edited subscribers, added: Neil_P._Quinn_WMF; removed: neilpquinn.

token: user.getSessionId()
Looks like this is a random 32 character alphanumeric string stored in localStorage via mw.storage.

errortext → action.saveFailure.type
What goes in the errortext field?

'visualeditor-load-error', an edit API error code, 'unknown', 'http', and possibly some other things?

funnel → action.init.mechanism
do we need to support the specific values from MobileWebEditing? article, ctaSignup, leftNavSignup

mobileMode
Do we need this? Should we generalize the destination property so that it could work for a theoretical desktop beta mode? James says we've never used the alpha or beta modes to test editing features.

No. If we need to differentiate between these sorts of things in future we can add a new field for it (certainly should be generalised).

Krenair claimed this task.Aug 28 2015, 3:34 AM

I need to look into some of the existing data for this, and will want to check the actual output when this change arrives in production.

Jdlrobson moved this task from Backlog to Tech debt on the MobileFrontend board.Sep 2 2015, 6:57 PM
Jdlrobson added a subscriber: Jdlrobson.

mobileMode could be replaced by skin (it's on my todo list) and could have value 'minerva' or 'minerva-beta'.

mobileMode could be replaced by skin (it's on my todo list) and could have value 'minerva' or 'minerva-beta'.

But we don't record skin either…

isTestA was used for A/B testing. It might come in useful in future. I'm not sure how you plan to run A/B tests in future.
Token was for session tracking for anonymous users so you could see their workflow from A to B.

isTestA was used for A/B testing. It might come in useful in future. I'm not sure how you plan to run A/B tests in future.
Token was for session tracking for anonymous users so you could see their workflow from A to B.

If we're going to run an A/B test I'd rather we used the existing methods (with a bespoke schema for the test) rather than instrument every edit just on the off-chance that we remember which A/B tests were running at the time.

Re funnel - ctaSignup is very gone (last seen December 2013, a few weeks after the aforementioned commit was merged), but leftNavSignup is still around. Need to look into exactly what that means I guess.

Neil_P._Quinn_WMF renamed this task from Merge MobileWebEditing schema into Edit schema to Instrument MobileFrontend to use the Edit schema insted of the MobileWebEditing schema.Sep 3 2015, 1:06 AM
Neil_P._Quinn_WMF updated the task description. (Show Details)

Okay, I've taken another pass as the task description to take into account some of the comments.

switchabort.switchwith or abort.switchwithout
Have to start distinguishing between the two types of aborts

Once you've made a change, MF doesn't let you switch without saving. It will let you switch if you've done nothing though. This distinction is not relevant.

Neil_P._Quinn_WMF updated the task description. (Show Details)
Krenair updated the task description. (Show Details)Sep 3 2015, 5:44 PM

@Krenair, okay, in that case, it will either be abort.switchwith or a value I just added to the schema, abort.switchnochange. Let me know if you find any other problems with my outline.

Krenair updated the task description. (Show Details)Sep 3 2015, 5:45 PM
Jdforrester-WMF renamed this task from Instrument MobileFrontend to use the Edit schema insted of the MobileWebEditing schema to Instrument MobileFrontend to use version 13457736 of the Edit schema instead of the MobileWebEditing schema.Sep 3 2015, 7:44 PM
mysql> select count(*) from MobileWebEditing_8599025 where event_action = 'success' and event_errorText is not null;
+----------+
| count(*) |
+----------+
|    17975 |
+----------+
1 row in set (4 min 56.09 sec)

:|

errorsaveFailure is not 100% right. It includes loading errors, which does not get logged by VE (maybe log them elsewhere later?)

Change 236239 had a related patch set uploaded (by Alex Monk):
Fix EventLogging schema dependencies

https://gerrit.wikimedia.org/r/236239

Change 236244 had a related patch set uploaded (by Alex Monk):
[WIP] Migrate from SchemaMobileWebEditing to SchemaEdit

https://gerrit.wikimedia.org/r/236244

(Does not include timing fields)

Change 236239 merged by jenkins-bot:
Fix EventLogging schema dependencies

https://gerrit.wikimedia.org/r/236239

Change 236558 had a related patch set uploaded (by Alex Monk):
Fix EventLogging schema dependencies

https://gerrit.wikimedia.org/r/236558

Change 236558 merged by jenkins-bot:
Fix EventLogging schema dependencies

https://gerrit.wikimedia.org/r/236558

Change 236244 merged by jenkins-bot:
Migrate from SchemaMobileWebEditing to SchemaEdit

https://gerrit.wikimedia.org/r/236244

Jdforrester-WMF reopened this task as Open.Sep 16 2015, 3:50 PM
Jdforrester-WMF edited a custom field.

Change 237738 had a related patch set uploaded (by Jforrester):
Revert "Revert "Migrate from SchemaMobileWebEditing to SchemaEdit""

https://gerrit.wikimedia.org/r/237738

Change 237738 merged by jenkins-bot:
Revert "Revert "Migrate from SchemaMobileWebEditing to SchemaEdit""

https://gerrit.wikimedia.org/r/237738

Looks like we're sending two saveSuccess events for VE in MF

Jdlrobson changed the task status from Open to Stalled.Sep 23 2015, 9:38 PM

I chatted to @Krenair and it seems like this has stalled and it's not clear if you want to revert it and why. Could you let me know what's happening here and update the commit message / this bug appropriately? Thanks.

Jay8g added a subscriber: Jay8g.Oct 1 2015, 4:47 AM

Change 242952 had a related patch set uploaded (by Alex Monk):
Hack to stop logging edit events for non-desktop targets

https://gerrit.wikimedia.org/r/242952

Change 243044 had a related patch set uploaded (by Alex Monk):
Log VE saveIntent/saveAttempt

https://gerrit.wikimedia.org/r/243044

Jdforrester-WMF closed this task as Resolved.Oct 2 2015, 12:03 AM

Change 243044 merged by jenkins-bot:
Log VE saveIntent/saveAttempt

https://gerrit.wikimedia.org/r/243044

Change 242952 merged by jenkins-bot:
Hack to stop logging edit events for non-desktop targets

https://gerrit.wikimedia.org/r/242952

Neil_P._Quinn_WMF raised the priority of this task from High to Needs Triage.Mar 29 2018, 9:05 AM
Neil_P._Quinn_WMF moved this task from Blocked to Radar on the Contributors-Analysis board.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 29 2018, 9:05 AM
Neil_P._Quinn_WMF triaged this task as High priority.Mar 30 2018, 10:21 AM
Neil_P._Quinn_WMF moved this task from Radar to Done on the Contributors-Analysis board.
Neil_P._Quinn_WMF moved this task from Done to Radar on the Contributors-Analysis board.